package cz.vydrzel.dpczu.api.demoapp;


import cz.vydrzel.dpczu.api.demoapp.model.Profile;
import cz.vydrzel.dpczu.service.DemoAppService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api/demo-app")
@RequiredArgsConstructor
public class DemoAppController {

    private final DemoAppService demoAppService;

    @GetMapping("/my-profile")
    public Profile getMyProfile(@RequestHeader String authorization) {
        return demoAppService.getMyProfile(authorization);
    }

    @GetMapping("/all-profiles")
    public List<Profile> getAllProfiles(@RequestHeader String authorization) {
        return demoAppService.getAllProfiles(authorization);
    }

}
