package cz.vydrzel.dpczu.api.idp;

import cz.vydrzel.dpczu.api.idp.model.*;
import cz.vydrzel.dpczu.service.IdpService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@RequiredArgsConstructor
@RestController
@RequestMapping("/api/idp")
public class IdpController {

    private final IdpService idpService;

    @PostMapping(value = "/register")
    public RegisterUserResponse registerUser(@RequestBody RegisterUserRequest registerUserRequest) {
        return idpService.registerUser(registerUserRequest);
    }

    @PostMapping(value = "/oidc/login")
    public LoginResponse loginUser(@RequestBody LoginRequest loginRequest) {
        return idpService.openIdLogin(loginRequest);
    }

    @GetMapping(value = "/oidc/jwks")
    public JwksResponse getJwks(){
        return idpService.getJwks();
    }
}
