package cz.vydrzel.dpczu.api.idp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.*;
import lombok.experimental.FieldDefaults;

@Builder(toBuilder = true)
@FieldDefaults(makeFinal = true, level = AccessLevel.PRIVATE)
@Getter
@NoArgsConstructor(force = true, access = AccessLevel.PRIVATE)
@AllArgsConstructor
public class Jwk {

    @JsonProperty("kty")
    String algorithmFamily;

    @JsonProperty("alg")
    String algorithm;

    @JsonProperty("kid")
    String keyId;

    @JsonProperty("use")
    String usage;

    @JsonProperty("n")
    String rsaModulus;

    @JsonProperty("e")
    String rsaExponent;

}
